GroovyPageOutputStack (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageOutputStack

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageOutputStack

    public final class GroovyPageOutputStack
    extends java.lang.Object

Nested Class Summary
`class` | `GroovyPageOutputStack.GroovyPageProxyWriter`

Field Summary
`static org.apache.commons.logging.Log` | `log`

Method Summary
`static GroovyPageOutputStack` | `currentStack()`
`static GroovyPageOutputStack` | `currentStack(GrailsWebRequest request)`
`static GroovyPageOutputStack` | `currentStack(boolean allowCreate)`
`static GroovyPageOutputStack` | `currentStack(GrailsWebRequest request, boolean allowCreate)`
`static GroovyPageOutputStack` | `currentStack(boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)`
`static GroovyPageOutputStack` | `currentStack(GrailsWebRequest request, boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)`
`static GroovyPageOutputStack` | `currentStack(GroovyPageOutputStackAttributes attributes)`
`static java.io.Writer` | `currentWriter()`
`void` | `flushActiveWriter()`
`java.io.Writer` | `getCurrentOriginalWriter()`
`Encoder` | `getDefaultTaglibEncoder()`
`Encoder` | `getExpressionEncoder()`
`GroovyPageOutputStack.GroovyPageProxyWriter` | `getExpressionWriter()`
`Encoder` | `getOutEncoder()`
`GroovyPageOutputStack.GroovyPageProxyWriter` | `getOutWriter()`
`Encoder` | `getStaticEncoder()`
`GroovyPageOutputStack.GroovyPageProxyWriter` | `getStaticWriter()`
`Encoder` | `getTaglibEncoder()`
`GroovyPageOutputStack.GroovyPageProxyWriter` | `getTaglibWriter()`
`void` | `pop()`
`void` | `pop(boolean forceSync)`
`void` | `push(java.io.Writer newWriter)`
`void` | `push(java.io.Writer newWriter, boolean checkExisting)`
`void` | `push(GroovyPageOutputStackAttributes attributes)`
`void` | `push(GroovyPageOutputStackAttributes attributes, boolean checkExisting)`
`static void` | `removeCurrentInstance()`
`void` | `restoreThreadLocalsToOriginals()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### log

    public static final org.apache.commons.logging.Log log

Method Detail

### currentStack

    public static GroovyPageOutputStack currentStack()

### currentStack

    public static GroovyPageOutputStack currentStack(GrailsWebRequest request)

### currentStack

    public static GroovyPageOutputStack currentStack(boolean allowCreate)

### currentStack

    public static GroovyPageOutputStack currentStack(GrailsWebRequest request, boolean allowCreate)

### currentStack

    public static GroovyPageOutputStack currentStack(boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)

### currentStack

    public static GroovyPageOutputStack currentStack(GrailsWebRequest request, boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)

### currentStack

    public static GroovyPageOutputStack currentStack(GroovyPageOutputStackAttributes attributes)

### currentWriter

    public static final java.io.Writer currentWriter()

### flushActiveWriter

    public void flushActiveWriter()

### getCurrentOriginalWriter

    public java.io.Writer getCurrentOriginalWriter()

### getDefaultTaglibEncoder

    public Encoder getDefaultTaglibEncoder()

### getExpressionEncoder

    public Encoder getExpressionEncoder()

### getExpressionWriter

    public GroovyPageOutputStack.GroovyPageProxyWriter getExpressionWriter()

### getOutEncoder

    public Encoder getOutEncoder()

### getOutWriter

    public GroovyPageOutputStack.GroovyPageProxyWriter getOutWriter()

### getStaticEncoder

    public Encoder getStaticEncoder()

### getStaticWriter

    public GroovyPageOutputStack.GroovyPageProxyWriter getStaticWriter()

### getTaglibEncoder

    public Encoder getTaglibEncoder()

### getTaglibWriter

    public GroovyPageOutputStack.GroovyPageProxyWriter getTaglibWriter()

### pop

    public void pop()

### pop

    public void pop(boolean forceSync)

### push

    public void push(java.io.Writer newWriter)

### push

    public void push(java.io.Writer newWriter, boolean checkExisting)

### push

    public void push(GroovyPageOutputStackAttributes attributes)

### push

    public void push(GroovyPageOutputStackAttributes attributes, boolean checkExisting)

### removeCurrentInstance

    public static final void removeCurrentInstance()

### restoreThreadLocalsToOriginals

    public void restoreThreadLocalsToOriginals()

Groovy Documentation